View Issue Details

IDProjectCategoryView StatusLast Update
0016513LazarusLCLpublic2010-05-31 13:13
ReporterChristianAssigned ToPaul Ishenin 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.28.3 (SVN)Product Build 
Target VersionFixed in Version0.9.29 (SVN) 
Summary0016513: Autosize is gone very slow in latest revisions
Descriptionsome Revisions before resising wasnt very fast but OK.
for Now everything flickers and you can see how the Controls are Painted sometimes.
TagsNo tags attached.
Fixed in Revision25679
LazTarget-
WidgetsetWin32/Win64
Attached Files

Activities

Christian

2010-05-21 01:04

reporter   ~0037831

This was introduced after 25407 when i have time ill try to find the revision that introduce it.

Mattias Gaertner

2010-05-21 09:58

manager   ~0037840

Thanks. That would be helpful.

Christian

2010-05-22 09:15

reporter   ~0037855

Its introduced in Revision 25425
seems that the creation of the Window with an Brush causes an redraw of all Windows everytime smething is drawn over it.

Christian

2010-05-22 09:19

reporter   ~0037856

I see no sense in the Patch why all Windows should be gray for default ?
It looks very weired when an Control is drawn gray when the application has no time to redraw it or something else.

Christian

2010-05-28 14:55

reporter   ~0038084

fixed by Paul in rev 25679 seems that he has found out it himself ;)

Vincent Snijders

2010-05-28 15:27

manager   ~0038091

Thanks for re-testing.

Issue History

Date Modified Username Field Change
2010-05-19 07:01 Christian New Issue
2010-05-19 07:01 Christian Widgetset => Win32/Win64
2010-05-21 01:04 Christian Note Added: 0037831
2010-05-21 09:58 Mattias Gaertner Note Added: 0037840
2010-05-22 09:15 Christian Note Added: 0037855
2010-05-22 09:19 Christian Note Added: 0037856
2010-05-28 14:55 Christian Note Added: 0038084
2010-05-28 15:26 Mattias Gaertner LazTarget => -
2010-05-28 15:26 Mattias Gaertner Assigned To => Paul Ishenin
2010-05-28 15:26 Mattias Gaertner Status new => resolved
2010-05-28 15:26 Mattias Gaertner Resolution open => fixed
2010-05-28 15:26 Vincent Snijders Status resolved => assigned
2010-05-28 15:27 Vincent Snijders Fixed in Revision => 25679
2010-05-28 15:27 Vincent Snijders Status assigned => resolved
2010-05-28 15:27 Vincent Snijders Fixed in Version => 0.9.29 (SVN)
2010-05-28 15:27 Vincent Snijders Note Added: 0038091
2010-05-31 13:13 Christian Status resolved => closed